Bug 1309203 - Unresponsive script causes Thunderbird to crash
Unresponsive script causes Thunderbird to crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 02:53 EST by Luca Ciavatta
Modified: 2016-12-20 13:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:47:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luca Ciavatta 2016-02-17 02:53:21 EST
Description of problem:
I'm using Thunderbird with IMAP Gmail account. I went to 'All messages' folder and I have tried to delete a selection of a big number of messages(attempts from ~600 to ~3000).

First, a warning appears and shows:
'A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.

Script: chrome://messenger/content/folderPane.js:2063'

And after, both if I choose 'Stop script' or 'Continue', Thunderbird remains locked and unusable until the window with the 'Force quit' option appears. To work again, I must force Thunderbird quitting.

Version-Release number of selected component (if applicable):
Thunderbird 38.5.0-1.fc23

How reproducible:
Always, with a big numbers of messages to delete in a IMAP folder.

Steps to Reproduce:
1.Open Thunderbird
2.Select a big number of messages to delete in the IMAP folder 'All messages' of Gmail
3.Click on a 'Delete' button

Actual results:
Thunderbird blocked on a warning and 'Force quit' is needed.

Expected results:
The messages are deleted and Thunderbird remains usable.

Additional info:
Fedora 23
Kernel 4.3.5-300.fc23.x86_64
Comment 1 Fedora End Of Life 2016-11-24 10:36:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:47:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.